package example.common.exception;

import javax.ejb.ApplicationException;

@ApplicationException
public class ApplicationRuntimeException extends RuntimeException {

    private static final long serialVersionUID = -8145096520430475301L;

    public ApplicationRuntimeException() {
    }

    public ApplicationRuntimeException(String message) {
        super(message);
    }

    public ApplicationRuntimeException(Throwable cause) {
        super(cause);
    }

    public ApplicationRuntimeException(String message, Throwable cause) {
        super(message, cause);
    }

}
